Bug 880011 - (CVE-2012-5568) CVE-2012-5568 tomcat: Slowloris denial of service
CVE-2012-5568 tomcat: Slowloris denial of service
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20090617,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-25 20:14 EST by David Jorm
Modified: 2014-10-20 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 19:22:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-11-25 20:14:30 EST
The Slowloris denial of service tool has been found to affect Tomcat.
Comment 1 David Jorm 2012-11-25 20:25:06 EST
Statement:

This issue affects tomcat and jbossweb as shipped in various Red Hat products. This issue can be mitigated using appropriate firewall configuration, as noted here: 

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2007-6750

This issue can also be partially mitigated by configuring an appropriate timeout using the connectionTimeout property for the relevant Connector(s) defined in server.xml, but testing shows that some variants of the attack may still be effective with this configuration. The tomcat project has advised that although this flaw can affect tomcat, there is no good solution available, and the tomcat security team does not consider it a vulnerability in tomcat or plan to release a patch:
 
http://tomcat.apache.org/security-7.html#Not_a_vulnerability_in_Tomcat

Note You need to log in before you can comment on or make changes to this bug.